#!/usr/bin/env kjscmd

// Example that provides a basic HTML browser

// Get URL to load
var url = 'http://www.kde.org/';
if ( application.args.length )
   url = application.args[0];

// Create the UI
var mw = new KMainWindow();
var box = new QHBox( mw );
mw.setCentralWidget(box);

// Create the view
var view = Factory.createROPart( "text/html", box, "view" );
view.connect(view.child(0), 'openURLRequest(const KURL&,const KParts::URLArgs&)', 'openURL(const KURL&)' )
view.openURL( url );

// Show the GUI
mw.resize(650,500);
mw.show();

application.exec();
